%{!?_texmf_main: %define _texmf_main %{_datadir}/texmf}


Summary:       An X viewer for DVI files
Name:          xdvik
Version:       22.84.16
Release:       1%{?dist}%{?pext}
License:       GPLv2+
Group:         Applications/Publishing
Source0:       http://sourceforge.net/projects/xdvi/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:       http://xdvi.sourceforge.net/xdvi48x48.png
Source2:       %{name}.desktop
Patch0:        %{name}-22.84.17-fixes.patch
Patch1:        %{name}-22.84.16-build.patch
URL:           http://xdvi.sourceforge.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The xdvik Development Team
Provides:      tetex-xdvi = %{version}-%{release}
Provides:      xdvi = %{version}-%{release}
Requires:      desktop-file-utils ghostscript xdg-utils
Requires:      tex(dvips) tex(tex)
BuildRequires: bison flex desktop-file-utils kpathsea-devel
BuildRequires: t1lib-devel >= 5.0.0 tex(tex) Xaw3d-devel
BuildRequires: zlib-devel


%description
Xdvik, the kpathsea version of xdvi, is a program for displaying DVI files
(generated e.g. by Troff or TeX) on the X window system. It is based on the
regular (non-k) xdvi.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Use Xaw3d
%{__sed} -i -e 's|/Xaw/|/Xaw3d/|' texk/xdvik/gui/*.[ch] texk/xdvik/*.[ch]

# Prepare docs
%{__cp}  -f  texk/xdvik/{CHANGES,README.t1*} .


%build
%configure \
	--with-system-kpathsea \
	--with-system-t1lib    \
	--with-xdvi-x-toolkit=xaw3d

# Remove bundled libs (except kpathsea)
%{__rm}  -rf libs texk/contrib

# Rebuild dependencies for system's kpathsea
%{__mv}   -f texk/kpathsea texk/kpathsea.save

%{__sed}  -i -e 's/@MAINT@//' texk/make/rdepend.mk
%{__make} -C                  texk/xdvik depend

%{__mv}   -f texk/kpathsea.save texk/kpathsea

# Build
%{__make} #%{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/{applications,pixmaps}

# XXX: No "make install" here...
%makeinstall \
	texmf="${RPM_BUILD_ROOT}%{_texmf_main}"     \
	texmfmain="${RPM_BUILD_ROOT}%{_texmf_main}" \
	INSTDIRS="texk/xdvik"                       \
	INSTALL="%{__install} -p"

%{__install} -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

desktop-file-install --vendor="%{name}" \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE2}

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_texmf_main}/release-tetex-src.txt


%post
texconfig-sys rehash    2>/dev/null || :
update-desktop-database &>/dev/null || :


%postun
texconfig-sys rehash    2>/dev/null || :
update-desktop-database &>/dev/null || :


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc BUGS CHANGES INSTALL README README.* TODO
%{_bindir}/oxdvi
%{_bindir}/xdvi
%{_bindir}/xdvi-xaw3d
%{_texmf_main}/xdvi
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/xdvi48x48.png
%{_mandir}/man1/oxdvi.1.*
%{_mandir}/man1/xdvi.1*


%changelog
* Fri Jul 25 2014 Peter Pramberger <peterpramb@member.fsf.org> - 22.84.16-1
- Initial build
